import VPlay 1.0
import QtQuick 1.1

SceneBase {
  id: menuScene
  // the menu scene is our start scene, so if back is pressed there (in our case the Android back button as definded in the SceneBase.qml) we quit the application
  onBackPressed: {
    nativeUtils.displayMessageBox(qsTr("Really quit the game?"), "", 2);
  }
  // listen to the return value of the MessageBox
  Connections {
    target: nativeUtils
    onMessageBoxFinished: {
      if(accepted)
        Qt.quit()
    }
  }

  MultiResolutionImage {
    source: "img/menubg-sd.png"
    anchors.centerIn: parent
  }

  MultiResolutionImage {
    source: "img/logo-sd.png"
    anchors.centerIn: parent
  }

  // menu
  Column {
    anchors.centerIn: parent
    SimpleButton {
      text: "Levels"
      onClicked: window.state = "selectLevel"
    }
    SimpleButton {
      text: "Credits"
      onClicked: window.state = "credits"
    }
  }
}
